comp = gfortran
fopt = -I ./inc -J ./mod -c -ffixed-line-length-132 -Wno-implicit-interface -Ofast
sopt = -I ./inc -J ./mod -c -ffixed-line-length-132 -Wno-implicit-interface
lopt = -fopenmp

robj = obj/check_pars.o 	\
       obj/check_sol.o 		\
       obj/make_M.o 		\
       obj/make_Mode.o 		\
       obj/make_cF.o 		\
       obj/make_guess.o 	\
       obj/make_mux.o 		\
       obj/make_muy.o 		\
       obj/make_muz.o 		\
       obj/make_bx.o		\
       obj/make_by.o		\
       obj/make_bz.o		\
       obj/make_points.o	\
       obj/make_sx.o		\
       obj/make_sy.o		\
       obj/make_sz.o		\
       obj/make_sig.o		\
       obj/mult_W.o		\
       obj/cfun_i.o		\
       obj/cfun_h.o		\
       obj/solve_fixP.o       	\
       obj/solve_ratA.o       	\
       obj/reduce_toFBZ.o	\
       obj/find_qz.o            \

#
# Executables
#

bin/RectDisp.exe		 	: obj/RectDisp.o $(robj)
	$(comp) -o bin/RectDisp.exe       obj/RectDisp.o $(robj)$(lopt)

obj/RectDisp.o 		 		: src/RectDisp.f
	$(comp) -o obj/RectDisp.o         src/RectDisp.f        $(fopt)

#
# Subroutines
#

obj/check_pars.o 	 	        : sub/check_pars.f
	$(comp) -o obj/check_pars.o       sub/check_pars.f  $(sopt)

obj/check_sol.o                         : sub/check_sol.f
	$(comp) -o obj/check_sol.o        sub/check_sol.f       $(fopt)

obj/cfun_i.o 		 		: sub/cfun_i.f
	$(comp) -o obj/cfun_i.o           sub/cfun_i.f          $(fopt)

obj/cfun_h.o 		 		: sub/cfun_h.f
	$(comp) -o obj/cfun_h.o           sub/cfun_h.f          $(fopt)

obj/find_qz.o		 		: sub/find_qz.f
	$(comp) -o obj/find_qz.o          sub/find_qz.f         $(fopt)

obj/make_cF.o                           : sub/make_cF.f
	$(comp) -o obj/make_cF.o          sub/make_cF.f         $(fopt)

obj/make_guess.o                        : sub/make_guess.f
	$(comp) -o obj/make_guess.o       sub/make_guess.f      $(fopt)

obj/make_M.o 		 		: sub/make_M.f
	$(comp) -o obj/make_M.o           sub/make_M.f          $(fopt)

obj/make_Mode.o                         : sub/make_Mode.f
	$(comp) -o obj/make_Mode.o        sub/make_Mode.f       $(fopt)

obj/make_mux.o 		 		: sub/make_mux.f
	$(comp) -o obj/make_mux.o         sub/make_mux.f        $(fopt)

obj/make_muy.o 		 		: sub/make_muy.f
	$(comp) -o obj/make_muy.o         sub/make_muy.f        $(fopt)

obj/make_muz.o 		 		: sub/make_muz.f
	$(comp) -o obj/make_muz.o         sub/make_muz.f        $(fopt)

obj/make_bx.o                           : sub/make_bx.f
	$(comp) -o obj/make_bx.o          sub/make_bx.f         $(fopt)

obj/make_by.o                           : sub/make_by.f
	$(comp) -o obj/make_by.o          sub/make_by.f         $(fopt)

obj/make_bz.o                           : sub/make_bz.f
	$(comp) -o obj/make_bz.o          sub/make_bz.f         $(fopt)

obj/make_points.o                       : sub/make_points.f
	$(comp) -o obj/make_points.o      sub/make_points.f     $(fopt)

obj/make_sx.o 				: sub/make_sx.f
	$(comp) -o obj/make_sx.o          sub/make_sx.f         $(fopt)

obj/make_sy.o 				: sub/make_sy.f
	$(comp) -o obj/make_sy.o          sub/make_sy.f         $(fopt)

obj/make_sz.o 				: sub/make_sz.f
	$(comp) -o obj/make_sz.o          sub/make_sz.f         $(fopt)

obj/make_sig.o                          : sub/make_sig.f
	$(comp) -o obj/make_sig.o         sub/make_sig.f        $(fopt)

obj/mult_W.o                            : sub/mult_W.f
	$(comp) -o obj/mult_W.o           sub/mult_W.f          $(fopt)

obj/reduce_toFBZ.o                      : sub/reduce_toFBZ.f
	$(comp) -o obj/reduce_toFBZ.o     sub/reduce_toFBZ.f    $(fopt)

obj/solve_fixP.o                        : sub/solve_fixP.f
	$(comp) -o obj/solve_fixP.o       sub/solve_fixP.f      $(fopt)

obj/solve_ratA.o                        : sub/solve_ratA.f
	$(comp) -o obj/solve_ratA.o       sub/solve_ratA.f      $(fopt)

obj/set_ind.o                           : sub/set_ind.f
	$(comp) -o obj/set_ind.o          sub/set_ind.f      $(fopt)


RectDisp   	: bin/RectDisp.exe

all   	        : RectDisp

clean           : 
	rm obj/* bin/* mod/* inc/*.f~ src/*.f~ sub/*.f~ *~
