set size 0.55,0.50
set style data linespoints
set term pslatex solid color norotate

set lmargin 2
set rmargin 0
set bmargin 0
set tmargin 1

#
# Panel (a) PC2, k*hz/pi=0.30 (1st pass-band, center)
#

xmin = 0.0; xmax = 1.0
dx = xmax - xmin
set xra [xmin:xmax]
set xtics 0,dx/4

ymin=0.0; ymax=1.0
set yra [ymin:ymax]
dy = ymax-ymin
set ytics 0,dx/4

set label 1 '${\rm Re}(q_z)h_z/\pi$' at xmin+0.05*dx, ymax-0.10*dy
set label 2 '$k h_z/\pi$'            at xmax-0.15*dx, ymin+0.05*dy

set key at 0.75, 0.50

set out 'Src_a.tex'
plot 'disp_L8.dat'  u 1:2 w p pt 6 ps 1.0 lc rgb "red"  t '$L=8$'  ,\
     'disp_L16.dat' u 1:2 w p pt 1 ps 0.6 lc rgb "blue" t '$L=16$'

#
# Panel (b) PC2, k*hz/pi=0.97 (2nd band-gap)
#

ymin=0.0; ymax=0.50
set yra [ymin:ymax]
dy = ymax-ymin
set ytics 0,dy/2

set label 1 '${\rm Im}(q_z)h_z/\pi$' at xmin+0.05*dx, ymax-0.10*dy
set label 2 '$k h_z/\pi$'            at xmax-0.15*dx, ymin+0.05*dy

set key at 0.5, ymin + 0.5*dy

set out 'Src_b.tex'
plot 'disp_L8.dat'  u 1:3 w p pt 6 ps 0.5 lc rgb "red"  t '$L=8$'  ,\
     'disp_L16.dat' u 1:3 w p pt 1 ps 0.5 lc rgb "blue" t '$L=16$'

exit