      module dblocks
      implicit none

c---------- Complex mathematical constants
      complex*16, parameter :: cu = (0.0d0,1.0d0)
      complex*16, parameter :: cz = (0.0d0,0.0d0)

c---------- Complex common variables
      complex*16            :: ceps_i_fix, ceps_h_fix, ceps_i, ceps_h, ceps_a, chi, ckh2

c---------- Real mathematical constants
      real*8,     parameter :: rz    = 0.0d0
      real*8,     parameter :: ru    = 1.0d0
      real*8,     parameter :: pi    = 4.0d0*datan(ru)
      real*8,     parameter :: pi2   = 8.0d0*datan(ru)

c---------- Adjustable parameters
      real*8,     parameter :: qthr  = 1.0d-4   ! For comp xi; in dispersion formula if rkh<qthr => rkh<--qthr
      real*8,     parameter :: sthr  = 1.0d-8   ! Flush mu(i) with i>k to 0 if |s_k|<sthr
      real*8,     parameter :: mthr  = 1.0d+32  ! Terminate continued fraction at i=k if |mu(k)|>mthr
      real*8,     parameter :: fact  = 2.0d0    ! Stop cond. to use eps/fact after shift to FBZ
      real*8,     parameter :: efra  = 0.1d0    ! Im(eps_tmp)=efra*|Re(eps)|
      real*8,     parameter :: del   = 0.1d0    ! del for pind=2 in make_points
      character*8,parameter :: Guess = 'Zero'   ! 'Zero' or 'Hmg'

c---------- Real common variables
      real*8                :: ax,  ay, az, hx, hy, hz
      real*8                :: rk, rk2, rk_min, rk_max, rk_fix, drk, fkx, fky, fkx2, fky2, rkx, rky
      real*8                :: q_min,  q_max,  q_fix, dq
      real*8                :: eps, rho, rlv, fbz

c---------- Common character variables
      character*8           :: PERM_i, PERM_h, Method, Pol

c---------- Character constants
      character*8, parameter:: CC    = achar(13)

c---------- Common integer/logical variables
      integer*4             :: nord, Np, Nqth, ScanInd
      integer*4             :: Lx,  Ly,  Lz, Lx2, Ly2, Lz2
      integer*4             :: itm_1, itm_2, itm_3
      logical*4             :: ind_x, ind_y, ind_z


c---------- Allocatable common arrays
      real*8, allocatable, dimension(:) :: Mx, My, Mz

      save
      end
