!DIR$ FIXEDFORMLINESIZE:132
      pure subroutine mult_W(cq, a, b)
      use dblocks
      implicit none
      complex*16, intent(in)  :: cq(1:3)
      complex*16, intent(in)  :: a(1:3,-Lz:Lz,-Ly:Ly,-Lx:Lx)
      complex*16, intent(out) :: b(1:3,-Lz:Lz,-Ly:Ly,-Lx:Lx)

      complex*16  v(1:3,-Lz:Lz,-Ly:Ly,-Lx:Lx)
      complex*16  u(1:3,-Lz:Lz,-Ly:Ly,-Lx:Lx)

      complex*16 cwx, cwy, cwz, csp, cden
      real*8     gx, gy, gz
      integer*4  nx, ny, nz, nx2, ny2, nz2, n2
      integer*4  kx, ky, kz

c$$$  b = cz

c
c-------- First Inclusion
c

      if(ind_x) then
         v = a
      else
         v = cz
         do nx=-Lx,Lx
         do kx=-Lx,Lx
            v(1:3, -Lz:Lz, -Ly:Ly, nx) = v(1:3, -Lz:Lz, -Ly:Ly, nx) + Mx(nx-kx) * a(1:3, -Lz:Lz, -Ly:Ly, kx)
         end do
         end do
      end if
      
      if(ind_y) then
         u = v
      else
         u = cz
         do ny=-Ly,Ly
         do ky=-Ly,Ly
            u(1:3, -Lz:Lz, ny, -Lx:Lx) = u(1:3, -Lz:Lz, ny, -Lx:Lx) + My(ny-ky) * v(1:3, -Lz:Lz, ky, -Lx:Lx)
         end do
         end do
      end if

      if(ind_z) then
         v = u
      else
         v = cz
         do nz=-Lz,Lz
         do kz=-Lz,Lz
            v(1:3, nz, -Ly:Ly, -Lx:Lx) = v(1:3, nz, -Ly:Ly, -Lx:Lx) + Mz(nz-kz) * u(1:3, kz, -Ly:Ly, -Lx:Lx)
         end do
         end do
      end if

c$$$  b = b + chi*v
      b =         v
c-----------------------------------------------------------

      do 10, nx=-Lx,Lx
      nx2 = nx*nx
      gx  = pi2*dfloat(nx)/hx
      cwx = gx + cq(1)
      
      do 10, ny=-Ly,Ly
      ny2 = ny*ny
      gy  = pi2*dfloat(ny)/hy
      cwy = gy + cq(2)

      do 10, nz=-Lz,Lz
      nz2 = nz*nz
      gz  = pi2*dfloat(nz)/hz
      cwz = gz + cq(3)

      n2  = nx2 + ny2 + nz2
      if(n2 .eq. 0) goto 10
      
      cden = cwx**2 + cwy**2 + cwz**2 - ckh2 
      csp  = cwx*b(1,nz,ny,nx) + cwy*b(2,nz,ny,nx) + cwz*b(3,nz,ny,nx)

      b(1,nz,ny,nx) = (ckh2*b(1,nz,ny,nx) - cwx*csp) / cden
      b(2,nz,ny,nx) = (ckh2*b(2,nz,ny,nx) - cwy*csp) / cden
      b(3,nz,ny,nx) = (ckh2*b(3,nz,ny,nx) - cwz*csp) / cden

 10   continue

      b(1:3,0,0,0) = cz

      return
      end
